/* * { box-sizing: border-box; } */

body, html {
  font-family: sans-serif;
  height: 100%;
  margin: 0;
  padding: 0;
  background-color: #fefef6;
  color: #222;
}

body {
  max-width: 82ex;
  padding: 0 2ex;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

body img {
  width: 100%;
}

.bg {
  background-image: url('/header.jpg');
  background-position: center;
  background-size: cover;
  min-height: 100px;
  max-height: 31ex;
  height: 40vw;
}

@media screen and (-webkit-min-device-pixel-ratio:0) {
  @supports (-webkit-appearance:none) {
    .bg {background-image:url('/header.webp');}
  }
}

h2 {
  font-size: 1.2em;
}

main {
  flex: 1;
}

main p {
  text-align: justify;
  line-height: 1.5em;
}

footer {
  border-top: 1px solid #333;
  padding-top: 2ex;
  padding-bottom: 6ex;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-weight: 600;
}

footer p {
  margin: 0.2em 0;
}

footer div:last-of-type {
  text-align: right;
}

@media (max-width: 82ex) {
  main p {
    text-align: left;
  }
}

@media (max-width: 420px) {
  footer {
    flex-direction: column;
  }
  footer p {
    text-align: center;
  }
}
